Get lead list
curl --request GET \
--url https://api.reachhunt.ai/api/v1/leads/{leadListId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reachhunt.ai/api/v1/leads/{leadListId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reachhunt.ai/api/v1/leads/{leadListId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reachhunt.ai/api/v1/leads/{leadListId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.reachhunt.ai/api/v1/leads/{leadListId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.reachhunt.ai/api/v1/leads/{leadListId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reachhunt.ai/api/v1/leads/{leadListId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": true,
"data": {
"lead": {
"id": "3f1c2a9e-7b4d-4e2a-9c1f-5d8e6a7b9c0d",
"name": "SaaS founders",
"status": "completed",
"platform": "linkedin",
"profiles": 812,
"reachable": 640,
"totalCount": 1200,
"syncError": null,
"favorite": false,
"createdAt": "2026-10-05T08:12:00.000Z",
"syncBatch": 123,
"jobs": [
{
"id": "<string>",
"sourceType": "<string>",
"targetHandle": "<string>",
"targetTweetId": "<string>",
"status": "pending",
"syncedCount": 123,
"profiles": 123,
"reachable": 123,
"totalCount": 123,
"error": "<string>",
"accountId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"stoppedAt": "2023-11-07T05:31:56Z",
"targetName": "<string>",
"targetAvatarUrl": "<string>",
"syncBatch": 123,
"scannedCount": 123,
"isFiltered": true
}
]
}
},
"error": null
}{
"status": false,
"data": null,
"error": "Not authenticated"
}{
"status": false,
"data": null,
"error": "Your free trial has ended. Pick a plan to continue."
}{
"status": false,
"data": null,
"error": "Something went wrong. Please try again."
}Lead lists
Get lead list
Returns one lead list with its imports.
GET
/
leads
/
{leadListId}
Get lead list
curl --request GET \
--url https://api.reachhunt.ai/api/v1/leads/{leadListId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reachhunt.ai/api/v1/leads/{leadListId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reachhunt.ai/api/v1/leads/{leadListId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reachhunt.ai/api/v1/leads/{leadListId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.reachhunt.ai/api/v1/leads/{leadListId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.reachhunt.ai/api/v1/leads/{leadListId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reachhunt.ai/api/v1/leads/{leadListId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": true,
"data": {
"lead": {
"id": "3f1c2a9e-7b4d-4e2a-9c1f-5d8e6a7b9c0d",
"name": "SaaS founders",
"status": "completed",
"platform": "linkedin",
"profiles": 812,
"reachable": 640,
"totalCount": 1200,
"syncError": null,
"favorite": false,
"createdAt": "2026-10-05T08:12:00.000Z",
"syncBatch": 123,
"jobs": [
{
"id": "<string>",
"sourceType": "<string>",
"targetHandle": "<string>",
"targetTweetId": "<string>",
"status": "pending",
"syncedCount": 123,
"profiles": 123,
"reachable": 123,
"totalCount": 123,
"error": "<string>",
"accountId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"stoppedAt": "2023-11-07T05:31:56Z",
"targetName": "<string>",
"targetAvatarUrl": "<string>",
"syncBatch": 123,
"scannedCount": 123,
"isFiltered": true
}
]
}
},
"error": null
}{
"status": false,
"data": null,
"error": "Not authenticated"
}{
"status": false,
"data": null,
"error": "Your free trial has ended. Pick a plan to continue."
}{
"status": false,
"data": null,
"error": "Something went wrong. Please try again."
}